// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.GetStatisticsResponse}
 */
public  final class GetStatisticsResponse extends
    com.google.protobuf.GeneratedMessageLite<
        GetStatisticsResponse, GetStatisticsResponse.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.GetStatisticsResponse)
    GetStatisticsResponseOrBuilder {
  private GetStatisticsResponse() {
  }
  public static final int DAILY_USAGE_FIELD_NUMBER = 1;
  private com.google.protobuf.Duration dailyUsage_;
  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   */
  @java.lang.Override
  public boolean hasDailyUsage() {
    return dailyUsage_ != null;
  }
  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Duration getDailyUsage() {
    return dailyUsage_ == null ? com.google.protobuf.Duration.getDefaultInstance() : dailyUsage_;
  }
  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   */
  private void setDailyUsage(com.google.protobuf.Duration value) {
    value.getClass();
  dailyUsage_ = value;
    
    }
  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeDailyUsage(com.google.protobuf.Duration value) {
    value.getClass();
  if (dailyUsage_ != null &&
        dailyUsage_ != com.google.protobuf.Duration.getDefaultInstance()) {
      dailyUsage_ =
        com.google.protobuf.Duration.newBuilder(dailyUsage_).mergeFrom(value).buildPartial();
    } else {
      dailyUsage_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
   */
  private void clearDailyUsage() {  dailyUsage_ = null;
    
  }

  public static final int WEEKLY_USAGE_FIELD_NUMBER = 2;
  private com.google.protobuf.Duration weeklyUsage_;
  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   */
  @java.lang.Override
  public boolean hasWeeklyUsage() {
    return weeklyUsage_ != null;
  }
  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Duration getWeeklyUsage() {
    return weeklyUsage_ == null ? com.google.protobuf.Duration.getDefaultInstance() : weeklyUsage_;
  }
  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   */
  private void setWeeklyUsage(com.google.protobuf.Duration value) {
    value.getClass();
  weeklyUsage_ = value;
    
    }
  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeWeeklyUsage(com.google.protobuf.Duration value) {
    value.getClass();
  if (weeklyUsage_ != null &&
        weeklyUsage_ != com.google.protobuf.Duration.getDefaultInstance()) {
      weeklyUsage_ =
        com.google.protobuf.Duration.newBuilder(weeklyUsage_).mergeFrom(value).buildPartial();
    } else {
      weeklyUsage_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
   */
  private void clearWeeklyUsage() {  weeklyUsage_ = null;
    
  }

  public static final int MONTHLY_USAGE_FIELD_NUMBER = 3;
  private com.google.protobuf.Duration monthlyUsage_;
  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   */
  @java.lang.Override
  public boolean hasMonthlyUsage() {
    return monthlyUsage_ != null;
  }
  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Duration getMonthlyUsage() {
    return monthlyUsage_ == null ? com.google.protobuf.Duration.getDefaultInstance() : monthlyUsage_;
  }
  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   */
  private void setMonthlyUsage(com.google.protobuf.Duration value) {
    value.getClass();
  monthlyUsage_ = value;
    
    }
  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeMonthlyUsage(com.google.protobuf.Duration value) {
    value.getClass();
  if (monthlyUsage_ != null &&
        monthlyUsage_ != com.google.protobuf.Duration.getDefaultInstance()) {
      monthlyUsage_ =
        com.google.protobuf.Duration.newBuilder(monthlyUsage_).mergeFrom(value).buildPartial();
    } else {
      monthlyUsage_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
   */
  private void clearMonthlyUsage() {  monthlyUsage_ = null;
    
  }

  public static final int HIGHEST_SCORE_FIELD_NUMBER = 4;
  private long highestScore_;
  /**
   * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
   * @return The highestScore.
   */
  @java.lang.Override
  public long getHighestScore() {
    return highestScore_;
  }
  /**
   * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
   * @param value The highestScore to set.
   */
  private void setHighestScore(long value) {
    
    highestScore_ = value;
  }
  /**
   * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
   */
  private void clearHighestScore() {
    
    highestScore_ = 0L;
  }

  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.GetStatisticsResponse}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.GetStatisticsResponse)
      gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    @java.lang.Override
    public boolean hasDailyUsage() {
      return instance.hasDailyUsage();
    }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Duration getDailyUsage() {
      return instance.getDailyUsage();
    }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    public Builder setDailyUsage(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.setDailyUsage(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    public Builder setDailyUsage(
        com.google.protobuf.Duration.Builder builderForValue) {
      copyOnWrite();
      instance.setDailyUsage(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    public Builder mergeDailyUsage(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.mergeDailyUsage(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    public Builder clearDailyUsage() {  copyOnWrite();
      instance.clearDailyUsage();
      return this;
    }

    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    @java.lang.Override
    public boolean hasWeeklyUsage() {
      return instance.hasWeeklyUsage();
    }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Duration getWeeklyUsage() {
      return instance.getWeeklyUsage();
    }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    public Builder setWeeklyUsage(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.setWeeklyUsage(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    public Builder setWeeklyUsage(
        com.google.protobuf.Duration.Builder builderForValue) {
      copyOnWrite();
      instance.setWeeklyUsage(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    public Builder mergeWeeklyUsage(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.mergeWeeklyUsage(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    public Builder clearWeeklyUsage() {  copyOnWrite();
      instance.clearWeeklyUsage();
      return this;
    }

    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    @java.lang.Override
    public boolean hasMonthlyUsage() {
      return instance.hasMonthlyUsage();
    }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Duration getMonthlyUsage() {
      return instance.getMonthlyUsage();
    }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    public Builder setMonthlyUsage(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.setMonthlyUsage(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    public Builder setMonthlyUsage(
        com.google.protobuf.Duration.Builder builderForValue) {
      copyOnWrite();
      instance.setMonthlyUsage(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    public Builder mergeMonthlyUsage(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.mergeMonthlyUsage(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    public Builder clearMonthlyUsage() {  copyOnWrite();
      instance.clearMonthlyUsage();
      return this;
    }

    /**
     * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
     * @return The highestScore.
     */
    @java.lang.Override
    public long getHighestScore() {
      return instance.getHighestScore();
    }
    /**
     * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
     * @param value The highestScore to set.
     * @return This builder for chaining.
     */
    public Builder setHighestScore(long value) {
      copyOnWrite();
      instance.setHighestScore(value);
      return this;
    }
    /**
     * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
     * @return This builder for chaining.
     */
    public Builder clearHighestScore() {
      copyOnWrite();
      instance.clearHighestScore();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.GetStatisticsResponse)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "dailyUsage_",
            "weeklyUsage_",
            "monthlyUsage_",
            "highestScore_",
          };
          java.lang.String info =
              "\u0000\u0004\u0000\u0000\u0001\u0004\u0004\u0000\u0000\u0000\u0001\t\u0002\t\u0003" +
              "\t\u0004\u0002";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.GetStatisticsResponse)
  private static final gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse DEFAULT_INSTANCE;
  static {
    GetStatisticsResponse defaultInstance = new GetStatisticsResponse();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      GetStatisticsResponse.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<GetStatisticsResponse> PARSER;

  public static com.google.protobuf.Parser<GetStatisticsResponse> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

